using Telerik.XamarinForms.DataControls;
using Telerik.XamarinForms.DataControls.ListView;
using Xamarin.Forms;

namespace SampleApp
{
    public class ItemActionsBehavior : Behavior<RadListView>
    {
        protected override void OnAttachedTo(RadListView listView)
        {
            listView.ItemTapped += this.ListViewItemTapped;
            listView.ItemSwipeCompleted += this.ListViewItemSwipeCompleted;
 
            base.OnAttachedTo(listView);
        }

        protected override void OnDetachingFrom(RadListView listView)
        {
            listView.ItemTapped -= this.ListViewItemTapped;
            listView.ItemSwipeCompleted -= this.ListViewItemSwipeCompleted;
          
            base.OnDetachingFrom(listView);
        }

        private void ListViewItemSwipeCompleted(object sender, ItemSwipeCompletedEventArgs e)
        {
            ((ViewModel)(sender as RadListView).BindingContext).ListViewItemSwipeCompleted(e.Item as  Item);
        }
 
        private void ListViewItemTapped(object sender, ItemTapEventArgs e)
        {
            ((ViewModel)(sender as RadListView).BindingContext).ListViewItemTapped(e.Item as  Item);
        }
    }
}